Bug 134043 - DOCX import: use DropDown text field instead of ComboBox form control
Summary: DOCX import: use DropDown text field instead of ComboBox form control
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6....
Keywords: filter:docx
Depends on:
Blocks: DOCX-Fields
  Show dependency treegraph
 
Reported: 2020-06-16 15:08 UTC by Serge Krot (CIB)
Modified: 2020-08-12 07:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Simple doc with DropDown text field inside (12.25 KB, application/vnd.oasis.opendocument.text)
2020-06-16 15:08 UTC, Serge Krot (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Krot (CIB) 2020-06-16 15:08:06 UTC
Created attachment 162064 [details]
Simple doc with DropDown text field inside

For the chain: ODT doc -> DOCX doc -> LO Writer, we have conversion from DropDown text field into ComboBox form control as DOCX doesn't support DropDown text field.
=> We need backward compatibility when we load in LO such DOCX files.
Comment 1 Dieter 2020-06-17 11:24:23 UTC
I confirm ith with

Version: 7.0.0.0.beta1 (x64)
Build ID: 94f789cbb33335b4a511c319542c7bdc31ff3b3c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL
Comment 2 Commit Notification 2020-06-17 15:02:00 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/33ad3ee258587904afaa03550858beac25b883f7

tdf#134043 DOCX import: DropDown text field instead of ComboBox form control

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-06-23 12:24:26 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/f7606f0c7d9fc5961adec6a84ccedf0f4dbcdad9

tdf#134043 DOCX import: DropDown text field instead of ComboBox form control

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-06-30 21:31:06 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/029d239dd64a52ebb548f699c89e9109ae836fce

tdf#134043 DOCX import: DropDown text field instead of ComboBox form control

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-06-30 21:55:08 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7b00fbddfb1cd55a68ed7481ebd4a5d5f60c6128

tdf#134043 DOCX import: new unit tests: ComboBox to DropDown

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-07-24 22:35:30 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f6b5d60f07e7023f9d3eee1cc12d4142159bd11f

tdf#134043 reset global state for unit test

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-08-05 21:26:07 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/0c9a3fd2cf6e87e08d93f47f2d0987a57a8720c9

tdf#134043 DOCX import: new unit tests: ComboBox to DropDown

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-08-12 07:20:58 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/b6e41d97fa8ee9e265970325348a6be111978c2c

tdf#134043 DOCX import: new unit tests: ComboBox to DropDown

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.